Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.interceptor
Interface InterceptorProvider

All Known Subinterfaces:
  Binding, Bus, Client, Endpoint, PolicyInterceptorProvider, Service

All Known Implementing Classes:
  AbstractAttributedInterceptorProvider, AbstractBasicInterceptorProvider, AbstractPolicyInterceptorProvider

    public interface InterceptorProvider

The `InterceptorProvider` interface is implemented by objects that have interceptor chains associated with them. The methods in this interface provide the ability to add and remove interceptors to the chains of the InterceptorProvider.

Method Summary
`java.util.List<Interceptor>` | `getInFaultInterceptors()` Returns the list of interceptors attached to the incoming fault interceptor chain of the object.
`java.util.List<Interceptor>` | `getInInterceptors()` Returns the list of interceptors attached to the incoming interceptor chain of the object.
`java.util.List<Interceptor>` | `getOutFaultInterceptors()` Returns the list of interceptors attached to the outgoing fault interceptor chain of the object.
`java.util.List<Interceptor>` | `getOutInterceptors()` Returns the list of interceptors attached to the outgoing interceptor chain of the object.

Method Detail

### getInInterceptors

    java.util.List<Interceptor> getInInterceptors()

  Returns the list of interceptors attached to the incoming interceptor chain of the object.

  Returns:
    `List` incoming interceptor chain

### getOutInterceptors

    java.util.List<Interceptor> getOutInterceptors()

  Returns the list of interceptors attached to the outgoing interceptor chain of the object.

  Returns:
    `List` outgoing interceptor chain

### getInFaultInterceptors

    java.util.List<Interceptor> getInFaultInterceptors()

  Returns the list of interceptors attached to the incoming fault interceptor chain of the object.

  Returns:
    `List` incoming fault interceptor chain

### getOutFaultInterceptors

    java.util.List<Interceptor> getOutFaultInterceptors()

  Returns the list of interceptors attached to the outgoing fault interceptor chain of the object.

  Returns:
    `List` outgoing fault interceptor chain

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF